<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('voucher_types', function (Blueprint $table) {
            $table->boolean('tax_applicable')->default(0)->after('is_default');
            $table->boolean('show_hsn')->default(0)->after('is_default');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('voucher_types', function (Blueprint $table) {
            $table->dropColumn('tax_applicable');
            $table->dropColumn('show_hsn');
        });
    }
};
